<?php

class trtrustamioxviewconfig extends trtrustamioxviewconfig_parent
{

	public function getId() {
		$config = $this->getConfig();
		$id = $config->getConfigParam('trCard_ID');

		return $id;
	}

	public function getCustAttr() {
		$dataAttr = [];
		$cusDataAtt = $this->getConfig()->getConfigParam('trAdvDataAttribute');
		if (!empty($cusDataAtt)) {
			$parsedJsonAttr = json_decode($cusDataAtt);
		    foreach($parsedJsonAttr as $key => $value) {
		      $dataAttr[] = $key.'="'.$value.'"';
		    }
		    if (!empty($dataAttr)) $dataAttr = implode(" ", $dataAttr);
		}
		return $dataAttr;
	}

	public function getDataAttr() {
		$dataAttr = [];
		$cusDataAtt = $this->getConfig()->getConfigParam('trAdvDataAttribute');
		if (!empty($cusDataAtt)) {
			$parsedJsonAttr = json_decode($cusDataAtt);
		    foreach($parsedJsonAttr as $key => $value) {
		      $dataAttr[] = '{"'.$key.'": '.$value.'}';
		    }
		    if (!empty($dataAttr)) $dataAttr = implode(",", $dataAttr);
		}
		return $dataAttr;
	}

	public function getHeader() {
		$config = $this->getConfig();
		$header = $config->getConfigParam('trHeader');

		return $header;
	}

	public function getCategory() {
		$config = $this->getConfig();
		$category = $config->getConfigParam('trCategory');

		return $category;
	}

	public function getProduct() {
		$config = $this->getConfig();
		$product = $config->getConfigParam('trProduct');

		return $product;
	}

	public function getFooter() {
		$config = $this->getConfig();
		$footer = $config->getConfigParam('trFooter');

		return $footer;
	}

	public function getTextOnly() {
		$config = $this->getConfig();
		$text = $config->getConfigParam('trTextOnly');

		return $text;
	}

	public function getComments() {
		$config = $this->getConfig();
		$comments = $config->getConfigParam('trComments');

		return $comments;
	}

	public function getOverlay() {
		$config = $this->getConfig();
		$overlay = $config->getConfigParam('trOverlay');

		return $overlay;
	}

	public function getFrameOverlay() {
		$config = $this->getConfig();
		$frame = $config->getConfigParam('trFrameOverlay');

		return $frame;
	}

	public function getListOverlay() {
		$config = $this->getConfig();
		$list = $config->getConfigParam('trListOverlay');

		return $list;
	}

	public function getSticker() {
		$config = $this->getConfig();
		$sticker = $config->getConfigParam('trSticker');

		return $sticker;
	}

    public function getButton() {
        $config = $this->getConfig();
        $button = $config->getConfigParam('trButton');

        return $button;
    }

    public function getSocial() {
        $config = $this->getConfig();
        $social = $config->getConfigParam('trSocial');

        return $social;
    }

    public function getDuo() {
        $config = $this->getConfig();
        $duo = $config->getConfigParam('trDuo');

        return $duo;
    }

    public function getShopak() {
        $config = $this->getConfig();
        $shopak = $config->getConfigParam('trShopak');

        return $shopak;
    }

    public function getStars() {
        $config = $this->getConfig();
        $stars = $config->getConfigParam('trStars');

        return $stars;
    }

	public function getAdvType() {
		$config = $this->getConfig();
		$advType = $config->getConfigParam('trAdvType');

		return $advType;
	}

	public function getAdvName() {
		$config = $this->getConfig();
		$advName = $config->getConfigParam('trAdvName');

		return $advName;
	}

	public function getAdvBadge() {
		$config = $this->getConfig();
		$advBadge = $config->getConfigParam('trAdvBadge');

		return $advBadge;
	}

	public function getAdvMode() {
		$config = $this->getConfig();
		$advType = $config->getConfigParam('trAdvType');
		$advName = $config->getConfigParam('trAdvName');
		$advBadge = $config->getConfigParam('trAdvBadge');

		$advMode = false;

		if ($advType != 'Disabled' && $advName != '' && $advBadge != 'Disabled') {
			$advMode = true;
		}

		return $advMode;
	}
}
