<?php
/**
*
* @category      module
* @package       trustami
* @author        Trustami GmbH
* @link          https://trustami.com
* @copyright (C) 2021
*/

/**
* Metadata version
*/
$sMetadataVersion = '1.1';

/**
* Module information
*/

$aModule = array(
  'id'          => 'trtrustami',
  'title'       => array(
    'de' => 'Trustami Modul',
    'en' => 'Trustami Module',
  ),
  'description' => array(
    'de' => '<p><span style="font-weight: bold; font-size: 24px;">Alle Ihre Kundenbewertungen auf einen Blick!</span></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">Mit dem Vertrauenssiegel von Trustami sammeln Sie alle Ihre existierenden Bewertungen an einem Ort aus &uuml;ber alle Quellen. Trustami bietet einen einzigartigen Service, bei dem die verstreuten Bewertungen eines H&auml;ndlers automatisch verkn&uuml;pft, aktualisiert und verifiziert werden.&nbsp;</p>
            <p><br><iframe width="100%" height="350" src="https://www.youtube.com/embed/XfeU1NAE3O8?rel=0" frameborder="0" allowfullscreen=""></iframe></p>
            <p style="text-align: center;"><span style="font-weight: bold; text-decoration: underline; font-size: 24px;"><br></span></p>
            <p style="text-align: center;"><span style="font-weight: bold; text-decoration: underline; font-size: 24px;"><a href="https://app.trustami.com/features/oxid" target="_blank" >Registrieren Sie sich kostenlos bei Trustami</a></span></p>
            <p><br></p>
            <p><span style="font-weight: bold; font-size: 18px;">Features</span></p>
            <ul>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; list-style:disc !important;"><span style="font-family: Arial;"><span style="font-style: italic;">Vertrauenssiegel</span>: Unbegrenzt viele Bewertungen in einem Siegel b&uuml;ndeln</span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; list-style:disc !important;"><span style="font-family: Arial;"><span style="font-style: italic;">Individuelle Siegel</span>: W&auml;hlen Sie zwischen mehreren Siegeln und passen diese nach Ihren W&uuml;nschen an. Eine &Uuml;bersicht unserer&nbsp;Siegel finden Sie <a href="https://www.trustami.com/der-fruehling-wird-bunt-mit-neuen-siegeln/" target="_blank">hier</a></span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; list-style:disc !important;"><span style="font-family: Arial;"><span style="font-style: italic;">Dashboard</span>: Erhalten Sie Statistiken zu Ihren Bewertungen<br></span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; list-style:disc !important;"><span style="font-family: Arial;"><span style="font-style: italic;">Bewertungsalarm</span>: Sie werden &uuml;ber negative Bewertungen informiert, &uuml;ber alle Plattformen hinweg&nbsp;<br></span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; list-style:disc !important;"><span style="font-family: Arial;"><span style="font-style: italic;">Bewertungsversicherung</span>: Sichern Sie Ihre Bewertungen gegen den Verlust bei einem Anbieterwechsel oder aufgrund einer L&ouml;schung/Sperrung Ihres Accounts</span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; list-style:disc !important;"><span style="font-family: Arial;"><span style="font-style: italic;">H&auml;ndlerauszeichnung</span>: Profitieren Sie von einer einzigartigen Auszeichnung, die wir an die besten 25% der H&auml;ndler&nbsp;pro Netzwerk&nbsp;vergeben</span></li>
            </ul>
            <br>
            <p class="Absatz" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">In wenigen Schritten zum Modul:</p>
            <p class="Absatz" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">1.&nbsp;<a href="https://app.trustami.com/features/oxid" target="_blank" style="text-decoration: underline;">Registrieren Sie sich kostenlos bei Trustami</a></p>
            <p class="Absatz" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">2.&nbsp;<span style="text-indent: -18pt;">Konfigurieren Sie Ihre Siegel auf&nbsp;<a href="https://app.trustami.com/" target="_blank" style="text-decoration: underline;">app.trustami.com</a>&nbsp;nach Ihren W&uuml;nschen</span></p>
            <p class="MsoListParagraph" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; text-indent: -18pt;"><o:p></o:p></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;"><span style="line-height: 31px;">3. Installieren Sie das Modul*</span><br></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">4.&nbsp;<span style="text-indent: -18pt;">W&auml;hlen Sie in Oxid (Admin) die Anzeigeposition der Siegel aus</span></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">*Das Modul kann im Vorfeld kostenlos getestet werden.&nbsp;<span style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; line-height: 31px; font-family: &quot;Open Sans&quot;, Arial, sans-serif;">F&uuml;r die dauerhafte Nutzung des Moduls ist allerdings ein kostenpflichtiger Account bei Trustami erforderlich.</span><span style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; line-height: 31px; font-family: &quot;Open Sans&quot;, Arial, sans-serif;">&nbsp;</span></p>
            <br>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">Mit diesem Modul k&ouml;nnen Sie das Trustami Vertrauenssiegel mit wenigen Klicks nutzen.&nbsp;F&uuml;r die Modul-Freischaltung ist ein Trustami Account notwendig, &uuml;ber den Sie Ihre Trustami ID bekommen.</p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">Hinweis: Bitte beachten Sie, dass es sich bei diesem Oxid-Modul lediglich um die Erweiterung Ihres Oxid-Shops zur Einbindung des Trustami Vertrauenssiegels handelt.</p>
            <br>
            <p class="MsoNormal" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;">Falls Sie Fragen zu Trustami haben oder Hilfe bei der Integration des Vertrauenssiegels ben&ouml;tigen, wenden Sie sich gerne an uns&nbsp;<a href="mailto:support@trustami.com" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; line-height: 31px; text-decoration: underline;">support@trustami.com</a></span></p>
            <p class="MsoNormal" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="line-height: 31px; font-family: Arial;">per Telefon: 030 - 346 4943 65</span></p>
            <p class="MsoNormal" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;">Weitere Informationen erhalten Sie unter&nbsp;<a href="http://www.trustami.com/" target="_blank" style="text-decoration: underline;">www.trustami.com</a>&nbsp;</span></p>',
    'en' => '<p class="MsoNormal"><span lang="EN-US" style="font-family: Arial; font-weight: bold;"><span style="font-size: 24px;">Trustami - One badge for all your customer reviews</span><br></span></p>
            <p class="MsoNormal" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;"><span lang="EN-US" style="font-family: Arial;">Trustami collects, analyzes and presents a users’ distributed social media data in a standardized and user-friendly format to fill the need for trust in online interactions.<o:p></o:p></span></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;"><span style="font-family: Arial;">Trustami enables users to collect ratings and reviews from all networks and show a trust badge.</span></p>
            <p><br></p>
            <p style="text-align: center;"><a href="https://app.trustami.com/signup/oxid/en" target="_blank" style="font-weight: bold; text-decoration: underline;"><span style="font-size: 24px;">Register your Trustami account for free</span></a></p>
            <p><br></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-weight: bold; font-size: 18px; font-family: Arial;">Features</span></p>
            <ul>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;"><span style="font-style: italic;">Trust badge</span>: Aggregate unlimited ratings from several platforms in one badge<br></span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;"><span style="font-style: italic;">Dashboard</span>: Statistics and history of your reviews<br></span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;"><span style="font-style: italic;">Rating alert</span>: Notification service about negative reviews across all your platforms<br></span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;"><span style="font-style: italic;">Rating insurance</span>: we save all your ratings existing on your platforms and enable you &nbsp;to keep your existing reviews in case of switching platforms or account deletion</span></li>
            <li style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;"><span style="font-style: italic;">Seller award</span>: We rank the best 25% shops on each platform and are the only independent provider of such an award</span></li>
            </ul>
            <br>
            <p class="Absatz" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">Getting started in a few steps:</p>
            <p class="Absatz" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">1.&nbsp;<a href="https://app.trustami.com/signup/oxid/en" target="_blank" style="text-decoration: underline;">Register for free on Trustami</a></p>
            <p class="Absatz" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">2.&nbsp;<span style="text-indent: -18pt;">Customize your trust badges directly on&nbsp;<a href="https://app.trustami.com/start/oxid/en" target="_blank" style="text-decoration: underline;">app.trustami.com</a></span></p>
            <p class="MsoListParagraph" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; text-indent: -18pt;"><o:p></o:p></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;"><span style="line-height: 31px;">3. Download and install our Oxid module*</span><br></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">4.&nbsp;<span style="text-indent: -18pt;">Select the position of your trust bagdes in Oxid (Admin)</span></p>
            <p style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; font-family: &quot;Open Sans&quot;, Arial, sans-serif; outline: 0px; background-image: initial; background-attachment: initial; background-size: initial; background-origin: initial; background-clip: initial; background-position: initial; background-repeat: initial;">*For the module is a Trustami account required (including membership fee).&nbsp;<span style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; line-height: 31px; font-family: &quot;Open Sans&quot;, Arial, sans-serif;"> There is a free trial period, where you can test the module.</span><span style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; line-height: 31px; font-family: &quot;Open Sans&quot;, Arial, sans-serif;">&nbsp;</span></p>
            <br>
            <p class="MsoNormal" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;">If you have any questions write us an email&nbsp;<a href="mailto:support@trustami.com" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px; line-height: 31px; text-decoration: underline;">support@trustami.com</a></span></p>
            <p class="MsoNormal" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="line-height: 31px; font-family: Arial;">or call us +49 (0) 30 - 346 4943 65</span></p>
            <p class="MsoNormal" style="font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: normal; font-size: 16px;"><span style="font-family: Arial;">For more information visit our website&nbsp;<a href="http://www.trustami.com/en" target="_blank" style="text-decoration: underline;">www.trustami.com</a>&nbsp;</span></p>',
  ),
  'thumbnail'   => 'out/pictures/logo.png',
  'version'     => '1.0.4',
  'author'      => 'Trustami GmbH',
  'url'         => 'http://www.trustami.com',
  'email'       => 'info@trustami.com',
  'extend'      => array(
    'oxviewconfig' => 'tr/trustami/controllers/trtrustamioxviewconfig',
    'oxview' => 'tr/trustami/controllers/trtrustamioxview',
  ),
  'files'       => array(
    'trtrustamimodule' => 'tr/trustami/core/trtrustamimodule.php',
    'tr_widget' => 'tr/trustami/views/tr_widget.php',
  ),
  'templates'   => array(
    'tr_widget.tpl' => 'tr/trustami/views/widgets/tr_widget.tpl',
    'tr_advanced.tpl' => 'tr/trustami/views/widgets/tr_advanced.tpl',
  ),
  'blocks'      => array(
    array(
      'template'  => 'layout/header.tpl',
      'block'  => 'layout_header_logo',
      'file' => 'views/blocks/header.tpl',
    ),
    array(
      'template'  => 'layout/footer.tpl',
      'block'  => 'footer_main',
      'file' => 'views/blocks/footer.tpl',
    ),
    array(
      'template'  => 'layout/sidebar.tpl',
      'block'  => 'sidebar_categoriestree',
      'file' => 'views/blocks/category.tpl',
    ),
    array(
      'template'  => 'page/details/inc/productmain.tpl',
      'block'  => 'details_productmain_social',
      'file' => 'views/blocks/product.tpl',
    ),
  ),
  'settings'    => array(
    array(
      'group' => 'trID',
      'name'  => 'trCard_ID',
      'type'  => 'str',
      'value' => '55f196f68b5118e0e8ac28cd',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trHeader',
      'type'  => 'select',
      'value' => 'Disabled',
      'constraints' => 'Badge|Box|Mini|Disabled',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trCategory',
      'type'  => 'select',
      'value' => 'Disabled',
      'constraints' => 'Badge|Box|Mini|Disabled',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trProduct',
      'type'  => 'select',
      'value' => 'Disabled',
      'constraints' => 'Badge|Box|Mini|Disabled',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trFooter',
      'type'  => 'select',
      'value' => 'Badge',
      'constraints' => 'Badge|Box|Mini|Disabled',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trFooter',
      'type'  => 'select',
      'value' => 'Badge',
      'constraints' => 'Badge|Box|Mini|Disabled',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trFooter',
      'type'  => 'select',
      'value' => 'Badge',
      'constraints' => 'Badge|Box|Mini|Disabled',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trTextOnly',
      'type'  => 'bool',
      'value' => 'true',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trComments',
      'type'  => 'bool',
      'value' => 'false',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trOverlay',
      'type'  => 'bool',
      'value' => 'true',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trFrameOverlay',
      'type'  => 'bool',
      'value' => 'true',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trListOverlay',
      'type'  => 'bool',
      'value' => 'true',
    ),
    array(
      'group' => 'trSettings',
      'name'  => 'trSticker',
      'type'  => 'bool',
      'value' => 'true',
    ),
      array(
          'group' => 'trSettings',
          'name'  => 'trButton',
          'type'  => 'bool',
          'value' => 'false',
      ),
      array(
          'group' => 'trSettings',
          'name'  => 'trSocial',
          'type'  => 'bool',
          'value' => 'false',
      ),
      array(
          'group' => 'trSettings',
          'name'  => 'trDuo',
          'type'  => 'bool',
          'value' => 'false',
      ),
      array(
          'group' => 'trSettings',
          'name'  => 'trStars',
          'type'  => 'bool',
          'value' => 'false',
      ),
      array(
          'group' => 'trSettings',
          'name'  => 'trShopak',
          'type'  => 'bool',
          'value' => 'false',
      ),
    array(
      'group' => 'trAdvanced',
      'name'  => 'trAdvType',
      'type'  => 'select',
      'value' => 'Disabled',
      'constraints' => 'Id|Class|Disabled',
    ),
    array(
      'group' => 'trAdvanced',
      'name'  => 'trAdvName',
      'type'  => 'str',
      'value' => '',
    ),
    array(
      'group' => 'trAdvanced',
      'name'  => 'trAdvBadge',
      'type'  => 'select',
      'value' => 'Disabled',
      'constraints' => 'Badge|Box|Mini|TextOnly|Sticker|Button|Social|Duo|Stars|Comments|Shopak|Disabled',
    ),
    array(
      'group' => 'trAdvanced',
      'name'  => 'trAdvDataAttribute',
      'type'  => 'str',
      'value' => '',
    ),
  ),
  'events'      => array(
    'onActivate'   => 'trTrustamiModule::onActivate',
    'onDeactivate' => 'trTrustamiModule::onDeactivate',
  ),
);
